Subject: Re: bug#28303: “guix import texlivekeyval” fails

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 16 Sep 2021 12:57:44 +0200

zimoun <[email-masked]> writes:

> Hi,
>
> On Tue, 10 Oct 2017 at 08:51, [email-masked] (Ludovic Courtès) 
> wrote:
>> Ricardo Wurmus <[email-masked]> skribis:
>>
>>> In the case of “keyval” I don’t know exactly what is wrong, 
>>> but in
>>> general it looks like the importer doesn’t use subversion from 
>>> the store
>>> but expects it to be available in the environment.
>>
>> For now, we could always return an error like “svn command not 
>> found” or
>> similar?
>
> I think this old bug [1] is fixed now.  The 2 examples works now 
> and
> from my understanding, I do not have SVN in my profiles as user.

The SVN parts still fail, but at least the rest of the import 
works fine.

> Closing?

Yes, please.

I’d like to note that this importer should eventually be replaced. 
I have some WIP for a new importer.

-- 
Ricardo